<template>
<div class="centre">
	<div class="title">{{ this.result}}</div>
	<div class="error">RED: {{ RED }} / BLUE: {{ BLUE }}</div>
</div>
</template>

<script>
export default {
	computed: {
		result () {
			const red = +this.RED;
			const blue = +this.BLUE;

			if (red > blue) {
				return "RED WINS!"
			} else if (red < blue) {
				return "BLUE WINS!"
			} else {
				return "IT'S A DRAW!"
			}
		}
	},
	methods: {
		click () {
			document.location.reload()
			//UI.emit("CHANGE_ROUTE", "/main-menu")
		}
	},
	mounted () {
		UI.on("PRESS_ENTER", this.click)
	},
	name: "results-local",
	props: [ "BLUE", "RED" ],
	unmounted () {
		UI.off("PRESS_ENTER", this.click)
	}
}
</script>

<style lang="less" scoped>
.centre {
	align-items: center;
	bottom: 0;
	display: flex;
	font-size: 4em;
	height: 100%;
	justify-content: center;
	left: 0;
	position: relative;
	right: 0;
	top: 0;
}

.error {
	color: #000;
	font-size: 2em;
	padding: 1em;
	text-align: center;
	width: 20em;
}

.error-modal {
	background-color: #e33;
	border: 4px #d22 solid;
}

div {
	color: #fff;
}

.title {
    align-items: center;
    display: flex;
    font-size: 2em;
    height: 6em;
    justify-content: center;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
}
</style>